Official 1C Company forum

Official 1C Company forum (http://forum.1cpublishing.eu/index.php)
-   IL2 Mods, discussion and links (http://forum.1cpublishing.eu/forumdisplay.php?f=201)
-   -   Modding: When and how? (http://forum.1cpublishing.eu/showthread.php?t=41812)

bf-110 03-10-2014 02:31 AM

Modding: When and how?
 
Hello mates.
I've been developing an interest on IL2 mods but I need some help before installing them.

First is: is it better to wait until TD release their last patch for IL2 before installing mods on the game? Or people usually have one backup folder of the game and other used for mods?
If yes, when a new TD patch is released,you have to install it on the backup folder,copy it again and install the mods all over again?

Do all planes,ships and objects mods need other mods to work?

When a new version for a mod that you have comes out,can you overwrite the previous version or you need to uninstall it first?

Installing a mod that was made for a previous version of IL2 will cause crashes and bugs?


Thanks

DD_crash 03-10-2014 03:13 PM

Hello, first thing to do is make at least 1 backup of your current instal.Then go to this site http://www.sas1946.com/main/index.php and decide which way you want to go. It can be as simple or complicated as you want ;)

Asheshouse 03-12-2014 07:50 AM

As DD_crash says, make a copy of your existing IL2 folder and rename it something like IL2 Mods. Keep the "clean" version for applying future TD patches.

Mods are generally made to work in a specific game version. They may or may not work in other game versions. You will see in SAS, for example, that each mod has a game version icon, or icons, to indicate which version it is proven to work in. Map Mods may need to have additional Mod Objects or Ground Textures added first otherwise the map may have missing objects which results in missions being unable to be saved.

Installing a mod which is made for a previous game version may, or may not, cause crashes. Stick with mods proven to work for your game version initially.

If you are using v4.12 then the obvious choices are HSFX7 http://www.sas1946.com/main/index.php?board=188.0, for a large mod pack, or SASModAct5.3 http://www.sas1946.com/main/index.php?topic=37662.0 for creating a custom selection of mods. You will find more info on both of those options at SAS.

There are alternative SASModAct's UP3 Pack and DBW for earlier game versions. SAS also has a special section for v4.09 installs which continues to have avid support.

Quote:

Do all planes,ships and objects mods need other mods to work?
Depends on the mods. Some do, some don't. The mod installation notes will normally explain what is required.
Read the notes before installing.

TexasJG 03-12-2014 03:52 PM

Would not this post be good to "sticky" under this Mod's sub-form?
It is useful.
Thanks Asheshouse

bf-110 03-12-2014 11:28 PM

Thanks for the info!

Also,I noticed there are some mods that are in HD.Is there any problem if you put them with the other mods or they need a separate install as well?

And please,when the 4.13 patch gets released,will I have to erase the modded IL2 folder and install everything again over the new patched copy?

DD_crash 03-13-2014 07:04 AM

Quote:

Originally Posted by bf-110 (Post 515636)
Thanks for the info!
And please,when the 4.13 patch gets released,will I have to erase the modded IL2 folder and install everything again over the new patched copy?

This is why you keep a working copy :) You will probably have a copy of 4.13 and a modded 4.12 until HSFX 8 is produced. Dont know about HD mods, SAS will help here.

Asheshouse 03-13-2014 10:33 AM

Quote:

Originally Posted by bf-110 (Post 515636)
Thanks for the info!
Also,I noticed there are some mods that are in HD.Is there any problem if you put them with the other mods or they need a separate install as well?

If you are referring to the High-Res mod, http://www.sas1946.com/main/index.php?topic=33239.0?
This mod is supposed to be compatible with any game version from 4.09m onwards, regardless which modpack (DBW, UP, HSFX, SAS Modact, Histomod, whatever else) you use. Your existing skins etcetera will still work fine. I have been using it in different versions with no problems.

The High-Res Mod is already included in SASModAct5.3

Quote:

Originally Posted by bf-110 (Post 515636)
And please,when the 4.13 patch gets released,will I have to erase the modded IL2 folder and install everything again over the new patched copy?

As DD_crash says.

bf-110 03-15-2014 10:56 PM

Can I ask something about HSFX?
Is it normal that the guns sounds are too quiet or it was like that IRL because of the engines?


All times are GMT. The time now is 02:41 AM.

Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.
Copyright © 2007 1C Company. All rights reserved.